<div class="enter-results-container">
  <header class="app-header">
    <button class="back-button" (click)="goBack()">
      ←
    </button>
    <h1 class="app-title">Enter Results</h1>
  </header>
  <form [formGroup]="resultForm" (ngSubmit)="onSubmit()" class="form-container">
    <div class="form-group">
      <label for="competitionId">Competition:</label>
      <select id="competitionId" formControlName="competitionId" class="form-control">
        <option value="" disabled>Select competition</option>
        <option *ngFor="let competition of availableCompetitions" [value]="competition.id">{{ competition.name }}</option>
      </select>
    </div>

    <div class="result-entry" formArrayName="results">
      <div *ngFor="let result of resultArray.controls; let i = index" [formGroupName]="i" class="result-row">
        <input type="text" style="margin-bottom:10px"formControlName="participant" placeholder="Participant Name" class="form-control">
        <input type="text" formControlName="score" placeholder="Score" class="form-control">
        <button type="button" style="margin:10px 10px 10px 0;"(click)="removeResult(i)" class="remove-button">Remove</button>
      </div>
    </div>
    
    <button type="button" style="margin-right:10px"(click)="addResult()" class="add-result-button">Add Result</button>
    
    <button mat-raised-button color="primary">Submit Results</button>
  </form>
</div>
